<?php

namespace Teknisa\SM\Service;

use Doctrine\ORM\EntityManager;
use Teknisa\Libs\Util\Environment;
use Teknisa\SM\Util\Procedure\FctCopiaFormPreco;


class Sm00022000FormacaoPrecoService {
    
    protected $Environment;
    protected $connection;
    
    public function __construct(EntityManager $entityManager, Environment $Environment) {
        
        $this->connection = $entityManager->getConnection();    
        $this->Environment  = $Environment;
        
    }
    
     /**
     * A função "executarProcedureFctCopiaFormPreco" executa a procedure
     * "FCT_COPIA_FORM_PRECO".
     */
     
    public function executarProcedureFctCopiaFormPreco($nrFormPrecoServico) {
        $procedure = new FctCopiaFormPreco($this->connection);
        
        $nrorg =  $this->Environment->getNrOrg();
        $operador =  $this->Environment->getCdOperador();
        
        $procedure->executar($nrFormPrecoServico,$nrorg, $operador);
    }
}

?>